/* Start section variable */

:root {
    --main-color: #00c7fc;
    --second-color: #a8a8a8;
    --color-paragraph: #1f2021;
    --color-page: rgba(15, 116, 143, 0.8);
    --delay-hover: 0.4s;
    --section-padding: 150px;
}

/* End section variable */

/* Start global rules  */

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

html {
    scroll-behavior: smooth;
}

body {
    font-family: "Open Sans", sans-serif;
}

ul {
    list-style: none;
}

.container {
    /* width: 600px; */
    padding-left: 15px;
    padding-right: 15px;
    margin-left: auto;
    margin-right: auto;
}

@media (nin-width: 768px) {
    .container {
        width: 750px;
    }
}

@media (min-width: 992px) {
    .container {
        width: 970px;
    }
}

@media (min-width: 1200px) {
    .container {
        width: 1170px;
    }
}

/* End global rules  */

/* Start Section Components */

.main-components {
    padding: 100px;
    text-align: center;
    color: var(--color-paragraph);
    position: relative;
}

.main-components h2 {
    font-weight: normal;
    font-size: 30px;
    margin-bottom: 50px;
    position: relative;
}

.main-components h2::before {
    content: "";
    position: absolute;
    left: 50%;
    bottom: -15px;
    transform: translateX(-50%);
    width: 100px;
    height: 1px;
    background-color: var(--color-paragraph);
}

.main-components h2::after {
    content: "";
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    border: 1px solid var(--color-paragraph);
    border-radius: 50%;
    width: 12px;
    height: 12px;
    bottom: -22px;
    background-color: #ddd;
}

.main-components p {
    color: var(--second-color);
    font-weight: 300;
    line-height: 25px;
    width: 550px;
    margin: 0 auto 50px;
    max-width: 100%;
}

/* End Section Components */

/* Start Head section */

header {
    position: fixed;
    left: 0;
    z-index: 2;
    width: 100%;
    background-color: #00c7fc26;
}

header .container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    position: relative;
    min-height: 97px;
}

header .container::after {
    content: "";
    position: absolute;
    background-color: var(--second-color);
    width: 100%;
    height: 1px;
    bottom: 0;
    left: 0;
}

header nav {
    flex: 1;
    display: flex;
    justify-content: flex-end;
    align-items: center;
}

header nav .toggle-menu {
    color: var(--second-color);
    font-size: 2rem;
}

@media (min-width: 768px) {
    header nav .toggle-menu {
        display: none;
    }
}

header nav ul {
    display: flex;
}


@media (max-width: 768px) {
    header nav ul {
        display: none;
    }

    header nav .toggle-menu:hover+ul {
        display: flex;
        flex-direction: column;
        position: absolute;
        top: 100%;
        width: 100%;
    }

    header nav .toggle-menu:hover+ul li a {
        padding: 15px !important;
    }
}

header nav ul li a {
    color: #5d8a97;
    font-weight: bold;
    text-decoration: none;
    display: block;
    padding: 40px 10px;
    transition: var(--delay-hover);
    position: relative;
    z-index: 2;
}

header nav ul li a.active,
header nav ul li a:hover {
    color: var(--main-color);
    border-bottom: 2px solid var(--main-color);
}

header nav .form {
    margin-left: 30px;
    width: 4vw;
    height: 8vh;
    position: relative;
    border-left: 1px solid var(--second-color);
}

header nav .form i {
    color: var(--second-color);
    font-size: 2rem;
    position: absolute;
    transform: translateY(-50%);
    top: 50%;
    right: 0;
    transition: var(--delay-hover);
    cursor: pointer;
}

header nav .form i:hover {
    color: var(--main-color);
}

/* End Head section */

/* Start section landing  */


.landing {
    /* background-image: url(../image/bg4.jpg); */
    min-height: 100vh;
    background-size: cover;
    /* position: relative; */
}

.landing .img{
    /* background-image: url(../image/bg4.jpg); */
    min-height: 100vh;
    background-size: cover;
    position: relative;
}

.landing .img img{
    min-height: 100vh;
    width: 100%;
    display: none;
    animation: fade-in 5s linear 1s infinite alternate;
}

@keyframes fade-in {
    from{
        opacity: 1;
    }
    to{
        opacity: .7;
    }
}
.landing .img img.active{
    display: block;
}

.landing .overaly {
    position: absolute;
    width: 100%;
    height: 100%;
    /* background-color: rgba(0, 0, 0, 25%); */
}

.landing .text {
    position: absolute;
    color: #ddd;
    background-color: var(--color-page);
    left: 0;
    top: 50%;
    width: 60%;
    height: 50%;
    transform: translateY(-50%);
    padding: 50px;
    display: flex;
    justify-content: flex-end;
    align-items: center;
}

.landing .text .content {
    max-width: 500px;
    height: 260px;
}

@media (max-width: 767px) {
    .landing .text {
        width: 100%;
        height: 60%;
    }

    .landing .content {
        max-width: 100%;
    }
}

.landing .text .content h2 {
    font-size: 32px;
    font-weight: normal;
    line-height: 1.5;
    padding-bottom: 10px;
}

.landing .text .content p {
    line-height: 2;
}

.landing .change-background {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    color: #ddd;
    transition: var(--delay-hover);
}

@media (max-width: 767px) {
    .landing .change-background {
        display: none;
    }
}

.landing .fa-angle-left {
    left: 50px;
    border: 1px solid #ddd;
    padding: 15px 25px;
    cursor: pointer;
}

.landing .fa-angle-right {
    right: 50px;
    border: 1px solid #ddd;
    padding: 15px 25px;
    cursor: pointer;
}

.landing .change-background:hover {
    background-color: var(--main-color);
}

.landing .BulletsList {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    bottom: 30px;
    display: flex;
}

.landing .BulletsList li {
    width: 15px;
    height: 15px;
    border: 1px solid #ddd;
    border-radius: 50%;
    margin-right: 10px;
    transition: var(--delay-hover);
}

.landing .BulletsList li:hover {
    background-color: var(--main-color);
    cursor: pointer;
}

.landing .BulletsList li.active {
    background-color: var(--main-color);
}

/* End section landing  */

/* Start Section Services */

.services {
    padding-bottom: calc(var(--section-padding) - 50px);
}

.services .srv {
    display: flex;
}

.services .srv div {
    padding: 0 30px;
    position: relative;
}

.services .srv .col div i {
    position: absolute;
    left: -40px;
    font-size: 40px;
}

@media (max-width: 767px) {
    .services .srv {
        flex-direction: column;
        padding: 20px;
        text-align: center;
    }
}

.services .srv .col div h2 {
    color: var(--main-color);
    font-weight: normal;
    padding-bottom: 20px;
}

.services .srv .col div p {
    color: var(--second-color);
    line-height: 2;
    padding-bottom: 50px;
}

/* End Section Services */

/* Start Section Services bottom */

.services-bottom {
    padding-bottom: calc(var(--section-padding) - 50px);
    background-color: var(--color-paragraph);
    height: 500px;
    overflow: hidden;
}

.services-bottom {
    display: flex;
    position: relative;
}

.services-bottom .services-content .img {
    position: absolute;
    top: 110px;
    left: 7rem;
    transform: translateY(-50%);
}

.services-bottom .services-content .img img:first-child {
    position: absolute;
    z-index: 1;
}

.services-bottom .services-content .img img:last-child {
    position: absolute;
    top: 60px;
    left: 150px;
}

.services-bottom .text {
    position: absolute;
    color: #ddd;
    background-color: var(--color-page);
    right: 0;
    top: 53%;
    width: 42%;
    height: 65%;
    transform: translateY(-50%);
    padding: 50px 0;
}

@media (max-width: 767px) {
    .services-bottom .services-content .img {
        display: none;
    }

    .services-bottom .text {
        width: 100%;
        height: 60%;
    }
}

.services-bottom .text h2 {
    padding-bottom: 50px;
    padding-left: 50px;
    font-weight: normal;
}

.services-bottom .text ul li {
    padding-bottom: 20px;
    padding-left: 50px;
}

.services-bottom .text ul li::before {
    font-family: "Font Awesome 6 Free";
    content: "\e163";
    font-weight: 900;
    margin-right: 20px;
    font-size: 20px;
    position: relative;
    top: 4px;
}

/* End Section Services bottom */

/* Start Section Portfolio */

.portfolio .port-section {
    display: flex;
    justify-content: center;
    position: relative;
}

.portfolio .port-section ul {
    display: inline-flex;
    padding-bottom: 50px;
}

.portfolio .port-section ul a {
    text-decoration: none;
    transition: var(--delay-hover);
    cursor: pointer;
}

.portfolio .port-section ul li {
    padding: 15px 20px;
    color: var(--color-paragraph);
}

.portfolio .port-section ul a:hover,
.portfolio .port-section ul a.active {
    background-color: var(--main-color);
    color: whitesmoke;
}

.portfolio .port-img {
    display: flex;
    flex-wrap: wrap;
}

.portfolio .port-img .box {
    position: relative;
    overflow: hidden;
    transition: .5s;
}

@media (min-width: 768px) {
    .portfolio .port-img .box {
        flex-basis: 50%;
    }
}

@media (min-width: 1199px) {
    .portfolio .port-img .box {
        flex-basis: 25%;
    }
}

.portfolio .port-img .box img {
    max-width: 100%;
}

.portfolio .port-img .box .plus {
    position: absolute;
    background-color: var(--main-color);
    border-radius: 50%;
    padding: 20px 25px;
    top: -100%;
    transition: var(--delay-hover);
    transform: translateY(50%);
    left: 9vw;
    cursor: pointer;
}

.portfolio .port-img .box .plus {
    font-size: 40px;
    color: white;
}

.portfolio .port-img .box:hover .plus {
    top: 0;
}

.portfolio .port-img .box .caption {
    position: absolute;
    left: 0;
    background-color: white;
    width: 100%;
    padding: 20px;
    bottom: -100%;
    transition: var(--delay-hover);
}

.portfolio .port-img .box:hover .caption {
    bottom: 0;
}

.portfolio .port-img .box .caption h3 {
    font-weight: normal;
}

.portfolio .port-img .box .caption p {
    color: var(--main-color);
}

.portfolio .more {
    background-color: var(--main-color);
    color: whitesmoke;
    width: fit-content;
    margin: 30px auto;
    padding: 20px 30px;
    display: block;
    text-decoration: none;
    text-align: center;
}

.portfolio .more:hover {
    background-color: transparent;
    color: var(--main-color);
    border: 1px solid var(--main-color);
    transition: var(--delay-hover);
}

/* End Section Portfolio */

/* section picture about */
.about {
    position: absolute;
    left: 20vw;
    top: -263px;
}

/* section picture about */

/* Start Counter Section  */

.counter {
    background-color: #121116;
    padding: 100px 0;
    margin-top: 250px;
    position: relative;
}

.counter .container {
    background-color: var(--color-page);
    display: flex;
    text-align: center;
}

.counter .container .box {
    /* flex: 1; */
    color: white;
    padding: 50px 0;
}

@media (max-width: 768px) {
    .counter .container .box {
        flex-basis: 100%;
    }
}

@media (min-width: 768px) {
    .counter .container .box {
        flex-basis: 50%;
    }
}

@media (min-width: 992px) {
    .counter .container .box {
        flex-basis: 25%;
    }
}

.counter .container .box i {
    display: flex;
    background-color: var(--color-paragraph);
    width: 40px;
    height: 40px;
    justify-content: center;
    align-items: center;
    margin: auto;
    border-radius: 50%;
}

.counter .container .box h1 {
    font-size: 50px;
}

/* End Counter Section  */

/* Start Section Skills */

.skills .container {
    display: flex;
    padding-top: var(--section-padding);
    padding-bottom: var(--section-padding);
    justify-content: space-between;
    flex-wrap: wrap;
    position: relative;
}

@media (min-width: 992px) {
    .skills .container>div {
        flex-basis: 45%;
    }
}

.skills .container>div>h2 {
    margin-bottom: 30px;
    font-weight: normal;
    text-align: center;
}

.skills .container>div>p {
    color: var(--second-color);
    text-align: center;
    margin-bottom: 100px;
}

.skills .testimonials .box {
    margin-bottom: 50px;
    display: flex;
    align-items: center;
}

.skills .testimonials img {
    width: 25%;
    border-radius: 50%;
    margin-right: 50px;
}

.skills .testimonials .box .text {
    line-height: 1.7;
    border-bottom: 1px solid #ccc;
}

.skills .testimonials .box .text p {
    color: var(--second-color);
    text-align: right;
    font-size: 14px;
}

.skills .container .bullets {
    display: flex;
    justify-content: center;
}

.skills .container .bullets li {
    width: 15px;
    height: 15px;
    border: 1px solid #ccc;
    border-radius: 50%;
    margin-right: 10px;
    transition: var(--delay-hover);
}

.skills .container .bullets li:hover {
    background-color: var(--main-color);
}

.skills .container .bullets li.active {
    background-color: var(--main-color);
}

/* progress */

.skills .our-skills .progress-holder {
    margin-bottom: 35px;
}

.skills .our-skills .progress-holder h4 {
    font-weight: normal;
    text-transform: uppercase;
    margin-bottom: 15px;
}

.skills .our-skills .progress-holder>div {
    background-color: #dedadc;
    height: 30px;
}

.skills .our-skills .progress-holder>div span {
    background-color: var(--main-color);
    display: block;
    height: 100%;
    position: relative;
}

.skills .our-skills .progress-holder>div span::before {
    content: attr(data-progress);
    background-color: var(--color-paragraph);
    color: whitesmoke;
    padding: 3px 0;
    position: absolute;
    left: 95%;
    top: -45px;
    border-radius: 4px;
    width: 40px;
    text-align: center;
}

.skills .our-skills .progress-holder>div span::after {
    content: "";
    position: absolute;
    border-style: solid;
    border-width: 8px;
    left: 98%;
    top: -21px;
    border-color: var(--color-paragraph) transparent transparent;
}

/* End Section Skills */

/* Start Section Quotes */

.quotes {
    padding: 100px 0;
    background-color: var(--color-paragraph);
    color: whitesmoke;
    text-align: center;
    line-height: 1.7;
}

/* End Section Quotes */

/* Start Section Pricing */

.pricing .plans {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    text-align: center;
    margin-top: -50px;
}

.pricing .plans .column .head {
    padding: 40px 0;
    border-top: 1px solid #00c7fc;
    width: 250px;
}

.pricing .plans .column .head h3 {
    font-weight: normal;
    margin-bottom: 15px;
    margin-left: -30px;
}

.pricing .plans .column .head span {
    font-size: 50px;
    font-weight: 700;
}

.pricing .plans .column .head span::before {
    content: "$";
    font-size: 20px;
    position: relative;
    top: -10px;
    left: -15px;
}

.pricing .plans .column .head span::after {
    content: "/MO";
    font-size: 15px;
    position: relative;
    top: 10px;
    right: -15px;
}

.pricing .plans .column ul {
    border-top: 1px solid #00c7fc;
    border-bottom: 1px solid #00c7fc;
}

.pricing .plans .column ul li {
    padding: 25px 0;
    position: relative;
}

.pricing .plans .column ul li:not(:last-child)::after {
    content: "";
    width: 100px;
    height: 0.5px;
    background-color: #00c7fc;
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    bottom: 0;
}

.pricing .plans .column .foot {
    width: 120px;
    margin: 30px auto;
}

.pricing .plans .column .foot a {
    display: block;
    padding: 10px 10px;
    border: 1px solid #00c7fc;
    color: #1f2021;
    text-decoration: none;
}

.pricing .div-content {
    text-align: center;
    margin: 100px auto;
}

.pricing .div-content .content {
    margin: 20px 0;
    display: inline-flex;
    background-color: #00c7fc;
    color: whitesmoke;
    padding: 15px 30px;
    text-decoration: none;
    transition: var(--delay-hover);
}

.pricing .div-content .content:hover {
    color: #1f2021;
}

/* End Section Pricing */

/* Start Section Subscribe */

.subscribe {
    background-color: #1f2021;
    padding: 100px 0;
    color: whitesmoke;
}

.subscribe .container {
    display: flex;
    align-items: center;
}

@media (max-width: 991px) {
    .subscribe .container {
        flex-direction: column;
    }
}

.subscribe form {
    display: flex;
    width: 1000px;
    max-width: 100%;
    position: relative;
}

.subscribe form i {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    font-size: 30px;
    left: 20px;
}

.subscribe form input[type="email"] {
    background: none;
    border: 1px solid white;
    border-right: none;
    padding: 20px 20px 20px 60px;
    caret-color: var(--main-color);
    width: 95%;
    color: white;
}

.subscribe form input[type="submit"] {
    position: absolute;
    width: 140px;
    padding: 20px 30px;
    background-color: var(--main-color);
    color: whitesmoke;
    margin-right: 30px;
    border: 1px solid whitesmoke;
    border-left: none;
    text-transform: uppercase;
    right: 1px;
    border: 0 none;
    top: 1px;
}

/* End Section Subscribe */

/* Start Section Content */
.content {
    padding-bottom: var(--section-padding);
}

.content .form-content {
    display: flex;
    justify-content: space-between;
}

@media (max-width: 767px) {
    .content .form-content {
        flex-direction: column-reverse;
    }
}

.content .form-content form {
    flex-basis: 70%;
}

.content .form-content .main-input {
    padding: 20px 0;
    border: 1px solid #ccc;
    width: 100%;
    display: block;
    margin-bottom: 30px;
}

.content .form-content .main-input:focus {
    outline: none;
}

.content .form-content .main-input::placeholder {
    padding-left: 20px;
}

.content .form-content textarea.main-input {
    height: 200px;
}

.content .form-content form input[type="submit"] {
    background-color: var(--main-color);
    padding: 20px 30px;
    color: white;
    border: none;
    display: flex;
    margin-left: auto;
    cursor: pointer;
}

.content .form-content .info {
    flex-basis: 25%;
}

@media (max-width: 767px) {
    .content .form-content {
        flex-direction: column-reverse;
    }

    .content .form-content .info {
        text-align: center;
        margin-bottom: 40px;
    }
}

.content .form-content .info h4 {
    font-weight: normal;
    margin-bottom: 30px;
    font-size: 18px;
}

.content .form-content .info .phone {
    display: block;
    color: #777;
    margin-bottom: 15px;
}

.content .form-content .info h4:last-of-type {
    margin-top: 75px;
}

.content .form-content .info address {
    color: #777;
    line-height: 2;
}

/* End Section Content */

/* Start Section footer */

.footer {
    padding-top: calc(var(--section-padding) / 2);
    padding-bottom: calc(var(--section-padding) - 100px);
    background-color: var(--color-paragraph);
    color: white;
    text-align: center;
}

.footer img {
    margin-bottom: 50px;
}

.footer div h3 {
    font-weight: normal;
    margin-bottom: 25px;
    font-size: 25px;
    position: relative;
}

.footer div h3::after {
    content: "";
    background-color: white;
    position: absolute;
    width: 30%;
    height: 0.5px;
    left: 35%;
    bottom: -25px;
}

.footer div i {
    font-size: 20px;
    margin: 25px 10px 100px 0;
    transition: var(--delay-hover);
}

.footer div i:hover {
    color: var(--main-color);
}

.footer div p {
    font-weight: bold;
}

.footer div span {
    color: var(--main-color);
}

/* End Section footer */